Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Class BeanBlockContribution

    java.lang.Object
      org.apache.tapestry5.services.BeanBlockContribution

Direct Known Subclasses:
  DisplayBlockContribution, EditBlockContribution

    public class BeanBlockContribution

extends java.lang.Object

A contribution to the `BeanBlockSource` service, defining a page name and block id (within the page) that can edit or display a particular type of property.

Constructor Summary
`BeanBlockContribution(java.lang.String dataType, java.lang.String pageName, java.lang.String blockId, boolean edit)` Deprecated. Use `DisplayBlockContribution.DisplayBlockContribution(String, String, String)` or `EditBlockContribution.EditBlockContribution(String, String, String)` instead. To be removed after Tapestry 5.2.

Method Summary
`java.lang.String` | `getBlockId()` The id of the block within the page.
`java.lang.String` | `getDataType()` The type of data for which the indicated block will provide an editor or displayer for.
`java.lang.String` | `getPageName()` The logical name of the page containing the block.
`boolean` | `isEdit()` If true, then the block provides an editor for the property, consisting of a `Label` and some field component (or set of field components).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanBlockContribution

    public BeanBlockContribution(java.lang.String dataType,
                                 java.lang.String pageName,
                                 java.lang.String blockId,
                                 boolean edit)

  Deprecated. Use `DisplayBlockContribution.DisplayBlockContribution(String, String, String)` or `EditBlockContribution.EditBlockContribution(String, String, String)` instead. To be removed after Tapestry 5.2.

Method Detail

### getDataType

    public final java.lang.String getDataType()

  The type of data for which the indicated block will provide an editor or displayer for.

### getBlockId

    public final java.lang.String getBlockId()

  The id of the block within the page.

### isEdit

    public final boolean isEdit()

  If true, then the block provides an editor for the property, consisting of a `Label` and some field component (or set of field components). If false, the block is used to display the value of the property, usually by applying some kind of formatting to the raw value.

### getPageName

    public final java.lang.String getPageName()

  The logical name of the page containing the block.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.